# short makefile for MScore

CXXFLAGS=-O2 -Wall -g

all : mscore

mscore : mscore.o Alignment.o ScoreMatrix.o Score.o SecWeight.o \
	PwDistWeight.o iotools.o
	$(CXX) $(CXXFLAGS) -o mscore $^

testmain : testmain.o Alignment.o ScoreMatrix.o Score.o SecWeight.o \
	PwDistWeight.o iotools.o
	$(CXX) $(CXXFLAGS) -o testmain $^

clean:
	rm -f *~ core *.o testmain
	rm -f Makefile.depend Makefile.depend.bak

depend:
	echo >Makefile.depend
	makedepend -f Makefile.depend *.C

.SUFFIXES: .C .o
.C.o:
	$(CXX) -c $(CXXFLAGS) $(OSFLAGS) $(INCLUDES) $*.C

-include Makefile.depend
